Page MenuHomePhabricator

Create an etcd puppet module + find suitable servers for deployment
Closed, ResolvedPublic

Description

We should create an etcd puppet module and be able to apply it to create a cluster of etcd servers. We should also choose 3 misc servers where to deploy it. In codfw I'd use virtual machines as etcd is expected to be not resource-hungry.

Event Timeline

Joe created this task.May 4 2015, 7:42 AM
Joe raised the priority of this task from to Low.
Joe updated the task description. (Show Details)
Joe added projects: acl*sre-team, Traffic.
Joe added subscribers: Aklapper, BBlack, MoritzMuehlenhoff and 2 others.
Joe added a comment.May 4 2015, 11:58 AM

For clusterization I want to use the DNS discovery, which needs SRV records to be defined, as described here:

https://github.com/coreos/etcd/blob/v2.0.10/Documentation/clustering.md#dns-discovery

It seems this won't be possible in labs if we don't add the dnsdomain2 schema to our opendj installation.

Joe set Security to None.
Joe claimed this task.May 5 2015, 12:56 PM
Joe raised the priority of this task from Low to High.

Change 208928 had a related patch set uploaded (by Giuseppe Lavagetto):
etcd: create puppet module

https://gerrit.wikimedia.org/r/208928

Joe moved this task from Backlog to In progress on the discovery-system board.May 5 2015, 4:55 PM

Change 208928 merged by Giuseppe Lavagetto:
etcd: create puppet module

https://gerrit.wikimedia.org/r/208928

Joe added a subscriber: akosiaris.May 20 2015, 10:10 AM

As decided with @akosiaris, etcd will be installed on VMs on the eqiad ganeti cluster for now.

Joe closed this task as Resolved.May 20 2015, 10:10 AM
BBlack moved this task from Triage to Done on the Traffic board.May 21 2015, 3:32 PM
Joe moved this task from In progress to Done on the discovery-system board.Jun 11 2015, 10:37 AM